Moves a task to another project.

POSThttps://api.awork.com/api/v1/projects/{projectId}/projecttasks/{taskId}/changeproject
POST https://api.awork.com/api/v1/projects/{projectId}/projecttasks/{taskId}/changeproject

Moves the specified task and its subtasks, related time entries, and tracked-time totals to another project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

taskIdstringRequired
format: uuid

The id of the task.

Request body Required

The model to change the project of the task.

application/json

projectIdstringOptional
format: uuid

The id of the project the task is assigned to.

taskStatusIdstring or nullOptionalDeprecated
format: uuid

Deprecated: use TaskStatusMapping instead. The id of the new status the task is assigned to.

taskStatusMappingarray of object or nullOptional

The task status mapping from old task status to new task status.

Show 2 properties
oldStatusIdstringRequired
format: uuid

The old task status id.

newStatusIdstringRequired
format: uuid

The new task status id.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation